A simple component to easily add Muut UI into React applications.

## Install

  ``npm install muut-ui-react``
  or
  ``yarn add muut-ui-react``

## Usage

```jsx
import React, { Component } from 'react';
import MuutReactWidget from 'muut-ui-react'

class MuutUi extends Component {
  render () {
    return <MuutReactWidget forumName="goma" language="en" />
  }
}

export default MuutUi;
```
or

```jsx
import React from 'react'
import MuutReactWidget from 'muut-ui-react'

const MuutUi = () => (
  <MuutReactWidget forumName="goma" language="fr" />
)

export default MuutUi
```

### Props
|Name|Type|Required?|Default Value|Description|
|--|--|--|--|--|
|**forumName**|String|Yes||Your community/forum name.
|**language**|String|No|`en`|Your language code. Click [here](https://github.com/muut/language) for the list of available language codes.

## Demo
You can run the demo by cloning this repository and running:

``npm install && npm start``
or
``yarn install && yarn start``

Open [localhost:8080](http://localhost:8080) in your browser
