'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _jquery = require('jquery');

var _jquery2 = _interopRequireDefault(_jquery);

require('./style.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MuutUi = function (_Component) {
  _inherits(MuutUi, _Component);

  function MuutUi(props) {
    _classCallCheck(this, MuutUi);

    var _this = _possibleConstructorReturn(this, (MuutUi.__proto__ || Object.getPrototypeOf(MuutUi)).call(this, props));

    _this._loadMuutForum = function () {
      // makes sure window.$('.muut').muut is available
      if (!window.muut) {
        setTimeout(function () {
          _this._loadMuutForum();
        }, 100);
      } else {
        var forumName = _this.props.forumName;

        window.$('.muut').muut('https://muut.com/i/' + forumName);
        if (window.muut.messaging) {
          window.muut.messaging(forumName);
        }
      }
    };

    _this._onError = function () {
      _this.setState({ error: true });
    };

    _this._renderError = function () {
      var moreInfo = void 0;
      var lang = _this.language;
      if (lang && lang !== 'en') {
        moreInfo = _react2.default.createElement(
          'p',
          null,
          'Please make sure ',
          _react2.default.createElement(
            'b',
            null,
            lang
          ),
          ' language file is available',
          ' ',
          _react2.default.createElement(
            'a',
            { href: 'https://github.com/muut/language', target: '_blank' },
            'here'
          ),
          '.'
        );
      }
      return _react2.default.createElement(
        'div',
        { className: 'm-error-message' },
        _react2.default.createElement(
          'p',
          null,
          'Unable to load ',
          _this.host,
          _this.moot
        ),
        moreInfo
      );
    };

    if (!window.$) {
      window.$ = window.jQuery = _jquery2.default;
    }
    var language = _this.props.language;
    _this.state = { error: false };
    _this.moot = 'moot.min.js';
    _this.host = '//cdn.muut.com/1/';
    _this.language = language ? language.trim().toLowerCase() : '';
    if (_this.language && _this.language !== 'en') {
      _this.moot = 'moot.' + _this.language + '.min.js';
    }
    return _this;
  }

  _createClass(MuutUi, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (!window.muut) {
        var muutScript = document.createElement('script');
        muutScript.async = true;
        muutScript.defer = true;
        muutScript.src = '' + this.host + this.moot;
        muutScript.onload = this._loadMuutForum;
        muutScript.onerror = this._onError;
        document.body.appendChild(muutScript);
      } else {
        this._loadMuutForum();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var error = this.state.error;

      if (error) {
        return this._renderError();
      } else {
        return _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement('span', { className: 'muut' }),
          _react2.default.createElement(
            'span',
            { className: 'muut-messaging' },
            'Messages'
          )
        );
      }
    }
  }]);

  return MuutUi;
}(_react.Component);

exports.default = MuutUi;